"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseFiles = parseFiles;
var _path = _interopRequireDefault(require("path"));
var _slash = _interopRequireDefault(require("slash"));
var _pathSort = _interopRequireDefault(require("path-sort2"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function parseFiles({
  files,
  cwd,
  rootDir,
  absolute
}) {
  let normalizedFiles = files;
  if (absolute === false && cwd !== rootDir) {
    const relativeBaseDir = _path.default.relative(cwd, rootDir);
    normalizedFiles = files.map(file => {
      let baseAdded = _path.default.join(relativeBaseDir, file);

      // always return forward slashes like globby does
      baseAdded = (0, _slash.default)(baseAdded);
      return baseAdded;
    });
  }
  const fileListSorted = (0, _pathSort.default)(normalizedFiles, '/');
  return fileListSorted;
}
//# sourceMappingURL=parse-files.js.map