"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "defaultIgnorePatterns", {
  enumerable: true,
  get: function () {
    return _parseArgs.defaultIgnorePatterns;
  }
});
exports.readDirDeep = readDirDeep;
exports.readDirDeepSync = readDirDeepSync;
var _globby = _interopRequireWildcard(require("globby"));
var _parseArgs = require("./parse-args");
var _parseFiles = require("./parse-files");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
async function readDirDeep(rootDir, options = {}) {
  const {
    rootDir: rootDirParsed,
    absolute,
    cwd,
    patterns,
    globbyOptions
  } = (0, _parseArgs.parseArgs)(rootDir, options);
  const fileList = await (0, _globby.default)(patterns, globbyOptions);
  const result = (0, _parseFiles.parseFiles)({
    files: fileList,
    cwd,
    rootDir: rootDirParsed,
    absolute
  });
  return result;
}
function readDirDeepSync(rootDir, options = {}) {
  const {
    rootDir: rootDirParsed,
    absolute,
    cwd,
    patterns,
    globbyOptions
  } = (0, _parseArgs.parseArgs)(rootDir, options);
  const fileList = (0, _globby.sync)(patterns, globbyOptions);
  const result = (0, _parseFiles.parseFiles)({
    files: fileList,
    cwd,
    rootDir: rootDirParsed,
    absolute
  });
  return result;
}
//# sourceMappingURL=read-dir-deep.js.map