"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateOptions = validateOptions;
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function isRelative(pathname) {
  const result = _path.default.isAbsolute(pathname) === false;
  return result;
}
function validateOptions(dir, options) {
  if (isRelative(dir) === true) {
    throw new Error(`dir cannot be relative. Received: "${dir}"`);
  }
  if (typeof options.cwd === 'string') {
    if (isRelative(options.cwd) === true) {
      throw new Error(`options.cwd cannot be relative. Received: "${options.cwd}"`);
    }
  }
}
//# sourceMappingURL=validate-args.js.map